#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event0_st_3_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event2_st_2_handler);
DeclareTask(event3_st_0_handler);
DeclareTask(event3_st_1_handler);
DeclareTask(event3_st_2_handler);
DeclareTask(event3_st_3_handler);
void function0();
void function2();
void function4();
void function6();
void function8();
void function9();
void function10();
void function11();
void function12();
void function13();
void function14();
void function15();
void function16();
void function17();
void function18();
void function19();
void function20();
void function21();
void function22();
void function23();
void function24();
void function25();
void function26();
void function28();
void function30();
void function32();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.0254815
  // requested wcet        = 2107692us
  // period                = 82714690us
  // act                   = 1
  function0(); // estimated wcet = 2107692us
  // estimated total wcet        = 2107692
  // estimated total utilisation = 0.0254815
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.0438191
  // requested wcet        = 3624486us
  // period                = 82714690us
  // act                   = 1
  function2(); // estimated wcet = 3624486us
  // estimated total wcet        = 3624486
  // estimated total utilisation = 0.0438191
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.0355503
  // requested wcet        = 2940533us
  // period                = 82714690us
  // act                   = 1
  function4(); // estimated wcet = 2940533us
  // estimated total wcet        = 2940533
  // estimated total utilisation = 0.0355503
}
TASK(event0_st_3_handler) {
  // requested utilisation = 0.00450004
  // requested wcet        = 372219us
  // period                = 82714690us
  // act                   = 1
  function6(); // estimated wcet = 372219us
  // estimated total wcet        = 372219
  // estimated total utilisation = 0.00450004
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.481094
  // requested wcet        = 39793500us
  // period                = 82714690us
  // act                   = 1
  function8(); // estimated wcet = 39793500us
  // estimated total wcet        = 39793500
  // estimated total utilisation = 0.481094
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.458625
  // requested wcet        = 37935016us
  // period                = 82714690us
  // act                   = 1
  function11(); // estimated wcet = 37935016us
  // estimated total wcet        = 37935016
  // estimated total utilisation = 0.458625
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.380645
  // requested wcet        = 31484970us
  // period                = 82714690us
  // act                   = 1
  function14(); // estimated wcet = 31484970us
  // estimated total wcet        = 31484970
  // estimated total utilisation = 0.380645
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.57246
  // requested wcet        = 47350844us
  // period                = 82714690us
  // act                   = 1
  function17(); // estimated wcet = 47350844us
  // estimated total wcet        = 47350844
  // estimated total utilisation = 0.57246
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.270088
  // requested wcet        = 22340218us
  // period                = 82714690us
  // act                   = 1
  function20(); // estimated wcet = 22340218us
  // estimated total wcet        = 22340218
  // estimated total utilisation = 0.270088
}
TASK(event2_st_2_handler) {
  // requested utilisation = 0.381115
  // requested wcet        = 31523810us
  // period                = 82714690us
  // act                   = 1
  function23(); // estimated wcet = 31523810us
  // estimated total wcet        = 31523810
  // estimated total utilisation = 0.381115
}
TASK(event3_st_0_handler) {
  // requested utilisation = 0.258039
  // requested wcet        = 21343592us
  // period                = 82714690us
  // act                   = 1
  function26(); // estimated wcet = 21343592us
  // estimated total wcet        = 21343592
  // estimated total utilisation = 0.258039
}
TASK(event3_st_1_handler) {
  // requested utilisation = 0.144341
  // requested wcet        = 11939147us
  // period                = 82714690us
  // act                   = 1
  function28(); // estimated wcet = 11939147us
  // estimated total wcet        = 11939147
  // estimated total utilisation = 0.144341
}
TASK(event3_st_2_handler) {
  // requested utilisation = 0.282096
  // requested wcet        = 23333450us
  // period                = 82714690us
  // act                   = 1
  function30(); // estimated wcet = 23333450us
  // estimated total wcet        = 23333450
  // estimated total utilisation = 0.282096
}
TASK(event3_st_3_handler) {
  // requested utilisation = 0.062147
  // requested wcet        = 5140466us
  // period                = 82714690us
  // act                   = 1
  function32(); // estimated wcet = 5140466us
  // estimated total wcet        = 5140466
  // estimated total utilisation = 0.062147
}
// total utilisation = 3.4

/* WCET = 2107692 */
void function0() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(16000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(38);
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(10);
        RTSC_setBBWCET(5545000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2107680000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3624486 */
void function2() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(3624475000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(8);
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(11000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(7);
        RTSC_setBBWCET(64717000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2940533 */
void function4() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(12);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(24);
        RTSC_setBBWCET(10210000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(10000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(9000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(8);
        RTSC_setBBWCET(30624000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 372219 */
void function6() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_1_handler);
  ActivateTask(event0_st_2_handler);
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(39);
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(9535000ULL);
      }
      else {
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(9535000ULL);
        }
        else {
          RTSC_setBBWCET(9535000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(25000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(30);
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(11000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(13000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(19);
          RTSC_setBBWCET(15000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 39793500 */
void function8() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function9();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(19896744000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(19896744000ULL);
      }
      else {
        RTSC_setBBWCET(19896744000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(19896744000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 19896750 */
void function9() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function10();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(9948372000ULL);
  }
  else {
    RTSC_setBBWCET(9948372000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 9948375 */
void function10() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(27);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(36000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(45);
      RTSC_setBBWCET(8187000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 37935016 */
void function11() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(37935007000ULL);
      }
      else {
        RTSC_setBBWCET(0ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(1);
          RTSC_setBBWCET(7000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(7000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 2 */
          function12();
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(20000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(41);
            RTSC_setBBWCET(462621000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(45);
        RTSC_setBBWCET(843000000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 18967508 */
void function12() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function13();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(18);
    RTSC_setBBWCET(702500000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6322502 */
void function13() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(6322500000ULL);
  }
  else {
    RTSC_setBBWCET(6322500000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 31484970 */
void function14() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_1_handler);
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      ActivateTask(event1_st_0_handler);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function15();
      RTSC_setBBWCET(10000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(11);
        RTSC_setBBWCET(2289814000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(43);
        RTSC_setBBWCET(732208000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(31484959000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6296994 */
void function15() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(2);
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    function16();
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(10);
      RTSC_setBBWCET(188909000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1259398 */
void function16() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1259398000ULL);
  }
  else {
    RTSC_setBBWCET(1259398000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 47350844 */
void function17() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(7);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    function18();
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(29);
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(26000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(35);
        RTSC_setBBWCET(6197000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 473508 */
void function18() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function19();
  RTSC_setBBWCET(10000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(13);
    RTSC_setBBWCET(12000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(43);
      RTSC_setBBWCET(635000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 118377 */
void function19() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(118375000ULL);
  }
  else {
    RTSC_setBBWCET(118375000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 22340218 */
void function20() {
  RTSC_setBBWCET(13000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(10000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(11);
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(33);
        RTSC_setBBWCET(61543000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    function21();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(17872140000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4468043 */
void function21() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function22();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(25);
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(17);
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(8410000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(3574435000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 893608 */
void function22() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(893607000ULL);
  }
  else {
    RTSC_setBBWCET(893607000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 31523810 */
void function23() {
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function24();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(23642848000ULL);
  }
  else {
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    ActivateTask(event2_st_0_handler);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(23642839000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 0 */
      ActivateTask(event2_st_1_handler);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(23642822000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 7880952 */
void function24() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function25();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(6304762000ULL);
  }
  else {
    RTSC_setBBWCET(19000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(27);
      RTSC_setBBWCET(233509000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1576190 */
void function25() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1576186000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(39);
      RTSC_setBBWCET(40415000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 21343592 */
void function26() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(25000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(44);
      RTSC_setBBWCET(485081000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(6);
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(20);
        RTSC_setBBWCET(177863000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 11939147 */
void function28() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(27000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(41);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(291187000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(291190000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 23333450 */
void function30() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(31000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(35);
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(666665000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(23333443000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5140466 */
void function32() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_0_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_1_handler);
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_2_handler);
  RTSC_setBBWCET(20000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(43);
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(16);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(15000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(21);
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(33000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(40);
          RTSC_setBBWCET(8000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}


