#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event0_st_3_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event2_st_2_handler);
DeclareTask(event2_st_3_handler);
DeclareTask(event3_st_0_handler);
DeclareTask(event3_st_1_handler);
DeclareTask(event3_st_2_handler);
DeclareTask(event3_st_3_handler);
void function0();
void function2();
void function4();
void function6();
void function8();
void function9();
void function10();
void function11();
void function12();
void function13();
void function14();
void function15();
void function16();
void function17();
void function18();
void function20();
void function22();
void function24();
void function26();
void function28();
void function30();
void function32();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.0410728
  // requested wcet        = 613283us
  // period                = 14931610us
  // act                   = 1
  function0(); // estimated wcet = 613283us
  // estimated total wcet        = 613283
  // estimated total utilisation = 0.0410728
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.128059
  // requested wcet        = 1912122us
  // period                = 14931610us
  // act                   = 1
  function2(); // estimated wcet = 1912122us
  // estimated total wcet        = 1912122
  // estimated total utilisation = 0.128059
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.0864327
  // requested wcet        = 1290579us
  // period                = 14931610us
  // act                   = 1
  function4(); // estimated wcet = 1290579us
  // estimated total wcet        = 1290579
  // estimated total utilisation = 0.0864327
}
TASK(event0_st_3_handler) {
  // requested utilisation = 0.100262
  // requested wcet        = 1497071us
  // period                = 14931610us
  // act                   = 1
  function6(); // estimated wcet = 1497071us
  // estimated total wcet        = 1497071
  // estimated total utilisation = 0.100262
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.0759019
  // requested wcet        = 1133337us
  // period                = 14931610us
  // act                   = 1
  function8(); // estimated wcet = 1133337us
  // estimated total wcet        = 1133337
  // estimated total utilisation = 0.0759019
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.0736216
  // requested wcet        = 1099288us
  // period                = 14931610us
  // act                   = 1
  function13(); // estimated wcet = 1099288us
  // estimated total wcet        = 1099288
  // estimated total utilisation = 0.0736215
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.545227
  // requested wcet        = 16282225us
  // period                = 29863220us
  // act                   = 1
  function18(); // estimated wcet = 16282225us
  // estimated total wcet        = 16282225
  // estimated total utilisation = 0.545227
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.393224
  // requested wcet        = 11742938us
  // period                = 29863220us
  // act                   = 1
  function20(); // estimated wcet = 11742938us
  // estimated total wcet        = 11742938
  // estimated total utilisation = 0.393224
}
TASK(event2_st_2_handler) {
  // requested utilisation = 0.322179
  // requested wcet        = 9621315us
  // period                = 29863220us
  // act                   = 1
  function22(); // estimated wcet = 9621315us
  // estimated total wcet        = 9621315
  // estimated total utilisation = 0.322179
}
TASK(event2_st_3_handler) {
  // requested utilisation = 0.102987
  // requested wcet        = 3075531us
  // period                = 29863220us
  // act                   = 1
  function24(); // estimated wcet = 3075531us
  // estimated total wcet        = 3075531
  // estimated total utilisation = 0.102987
}
TASK(event3_st_0_handler) {
  // requested utilisation = 0.0906574
  // requested wcet        = 1353660us
  // period                = 14931610us
  // act                   = 1
  function26(); // estimated wcet = 1353660us
  // estimated total wcet        = 1353660
  // estimated total utilisation = 0.0906573
}
TASK(event3_st_1_handler) {
  // requested utilisation = 0.0665955
  // requested wcet        = 994377us
  // period                = 14931610us
  // act                   = 1
  function28(); // estimated wcet = 994377us
  // estimated total wcet        = 994377
  // estimated total utilisation = 0.0665954
}
TASK(event3_st_2_handler) {
  // requested utilisation = 0.0325686
  // requested wcet        = 486301us
  // period                = 14931610us
  // act                   = 1
  function30(); // estimated wcet = 486301us
  // estimated total wcet        = 486301
  // estimated total utilisation = 0.0325686
}
TASK(event3_st_3_handler) {
  // requested utilisation = 0.141212
  // requested wcet        = 2108516us
  // period                = 14931610us
  // act                   = 1
  function32(); // estimated wcet = 2108516us
  // estimated total wcet        = 2108516
  // estimated total utilisation = 0.141212
}
// total utilisation = 2.2

/* WCET = 613283 */
void function0() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(613277000ULL);
  }
  else {
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(22);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(27872000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1912122 */
void function2() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1912120000ULL);
    }
    else {
      RTSC_setBBWCET(1912120000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1912120000ULL);
    }
    else {
      RTSC_setBBWCET(1912120000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1290579 */
void function4() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(14000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(20);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(16000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(28);
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(2303000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(64528000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1497071 */
void function6() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  ActivateTask(event0_st_1_handler);
  ActivateTask(event0_st_2_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1497069000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1497064000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1497068000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1133337 */
void function8() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function9();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(34000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(37);
      RTSC_setBBWCET(4000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(24);
        RTSC_setBBWCET(7000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(19);
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(48000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 0 */
    function10();
    RTSC_setBBWCET(566657000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 283334 */
void function9() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  function12();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(212496000ULL);
    }
    else {
      RTSC_setBBWCET(212496000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(212496000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 283334 */
void function10() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function11();
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(28000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(43);
    RTSC_setBBWCET(4941000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 70833 */
void function11() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(70832000ULL);
  }
  else {
    RTSC_setBBWCET(70832000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 70833 */
void function12() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(12);
    RTSC_setBBWCET(5902000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1099288 */
void function13() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_0_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    function15();
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function14();
    RTSC_setBBWCET(13000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(20);
      RTSC_setBBWCET(44886000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1099281000ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(8);
        RTSC_setBBWCET(137410000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 183214 */
void function14() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    function17();
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(24);
      RTSC_setBBWCET(7252000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(183211000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 18321 */
void function15() {
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(18315000ULL);
    }
    else {
      RTSC_setBBWCET(18315000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(1);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      function16();
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(12205000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6107 */
void function16() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(24);
    RTSC_setBBWCET(254000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 9160 */
void function17() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(11000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(17);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(12);
      RTSC_setBBWCET(44000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 16282225 */
void function18() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(8);
    RTSC_setBBWCET(13000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(22);
      RTSC_setBBWCET(24000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(44);
        RTSC_setBBWCET(6000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(16);
          RTSC_setBBWCET(0ULL);
          if(magic_branch_condition()) {
            RTSC_setBBWCET(0ULL);
            if(magic_branch_condition()) {
              RTSC_setBBWCET(2000ULL);
              /* Loop Depth = 4 */
              RTSC_setBBWCET(129000ULL);
            }
            else {
              RTSC_setBBWCET(131000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          else {
            RTSC_setBBWCET(131000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 11742938 */
void function20() {
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(25);
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(469717000ULL);
        }
        else {
          RTSC_setBBWCET(469717000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(11742931000ULL);
      }
      else {
        RTSC_setBBWCET(11742931000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(11742931000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 9621315 */
void function22() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(9621313000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(29);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(13000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(44);
        RTSC_setBBWCET(7539000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3075531 */
void function24() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3075528000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    ActivateTask(event2_st_2_handler);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3075528000ULL);
    }
    else {
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      ActivateTask(event2_st_0_handler);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      ActivateTask(event2_st_1_handler);
      RTSC_setBBWCET(3075520000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1353660 */
void function26() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(25);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(5000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(9000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(9000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(7000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(9000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(27000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(31);
          RTSC_setBBWCET(1744000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(6000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(27);
          RTSC_setBBWCET(3000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(2002000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(54144000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 994377 */
void function28() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(9000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(20);
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(49704000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 486301 */
void function30() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(30000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(38);
        RTSC_setBBWCET(12796000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(486288000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(486298000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2108516 */
void function32() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_0_handler);
  ActivateTask(event3_st_2_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(31000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(44);
      RTSC_setBBWCET(47920000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      ActivateTask(event3_st_1_handler);
      RTSC_setBBWCET(2108508000ULL);
    }
    else {
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2108504000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}


