#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event2_st_2_handler);
void function0();
void function1();
void function2();
void function3();
void function4();
void function5();
void function6();
void function7();
void function8();
void function9();
void function10();
void function11();
void function12();
void function13();
void function14();
void function15();
void function16();
void function17();
void function18();
void function19();
void function20();
void function21();
void function23();
void function24();
void function25();
void function26();
void function27();
void function28();
void function29();
void function31();
void function32();
void function33();
void function34();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.729314
  // requested wcet        = 54139784us
  // period                = 74233890us
  // act                   = 1
  function0(); // estimated wcet = 41942465us
  function1(); // estimated wcet = 12197318us
  // estimated total wcet        = 54139783
  // estimated total utilisation = 0.729314
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.89278
  // requested wcet        = 66274568us
  // period                = 74233890us
  // act                   = 1
  function6(); // estimated wcet = 44822221us
  function7(); // estimated wcet = 21452346us
  // estimated total wcet        = 66274567
  // estimated total utilisation = 0.89278
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.00360086
  // requested wcet        = 267306us
  // period                = 74233890us
  // act                   = 1
  function12(); // estimated wcet = 267306us
  // estimated total wcet        = 267306
  // estimated total utilisation = 0.00360086
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.0691366
  // requested wcet        = 5132278us
  // period                = 74233890us
  // act                   = 1
  function16(); // estimated wcet = 5132278us
  // estimated total wcet        = 5132278
  // estimated total utilisation = 0.0691366
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.0607346
  // requested wcet        = 4508564us
  // period                = 74233890us
  // act                   = 1
  function20(); // estimated wcet = 4508564us
  // estimated total wcet        = 4508564
  // estimated total utilisation = 0.0607346
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.11085
  // requested wcet        = 8228837us
  // period                = 74233890us
  // act                   = 1
  function24(); // estimated wcet = 8228837us
  // estimated total wcet        = 8228837
  // estimated total utilisation = 0.11085
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.474401
  // requested wcet        = 35216636us
  // period                = 74233890us
  // act                   = 1
  function28(); // estimated wcet = 35216636us
  // estimated total wcet        = 35216636
  // estimated total utilisation = 0.474401
}
TASK(event2_st_2_handler) {
  // requested utilisation = 0.0591827
  // requested wcet        = 4393362us
  // period                = 74233890us
  // act                   = 1
  function32(); // estimated wcet = 4393362us
  // estimated total wcet        = 4393362
  // estimated total utilisation = 0.0591827
}
// total utilisation = 2.4

/* WCET = 41942465 */
void function0() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function3();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(22019792000ULL);
  }
  else {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    function2();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(32000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(39);
      RTSC_setBBWCET(27000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(36);
        RTSC_setBBWCET(32000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(36);
          RTSC_setBBWCET(11000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(31);
            RTSC_setBBWCET(0ULL);
            if(magic_branch_condition()) {
              RTSC_setBBWCET(0ULL);
              if(magic_branch_condition()) {
                RTSC_setBBWCET(13000ULL);
              }
              else {
                RTSC_setBBWCET(13000ULL);
              }
              RTSC_setBBWCET(0ULL);
            }
            else {
              RTSC_setBBWCET(13000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 12197318 */
void function1() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(21000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(31);
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(393453000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(393452000ULL);
      }
      else {
        RTSC_setBBWCET(393453000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1048561 */
void function2() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        function5();
        function4();
        RTSC_setBBWCET(699039000ULL);
      }
      else {
        RTSC_setBBWCET(1048559000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1048559000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 19922671 */
void function3() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(26);
    RTSC_setBBWCET(766256000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 174760 */
void function4() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(174760000ULL);
  }
  else {
    RTSC_setBBWCET(4000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(6);
      RTSC_setBBWCET(29126000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 174760 */
void function5() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(174760000ULL);
  }
  else {
    RTSC_setBBWCET(174760000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 44822221 */
void function6() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function9();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function8();
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(6);
      RTSC_setBBWCET(5976293000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(44);
      RTSC_setBBWCET(814949000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 21452346 */
void function7() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  RTSC_setBBWCET(7000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(27);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(10000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(794520000ULL);
      }
      else {
        RTSC_setBBWCET(794530000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(794528000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4482222 */
void function8() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function10();
  function11();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(6);
      RTSC_setBBWCET(597629000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(40000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(41);
      RTSC_setBBWCET(87457000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4482222 */
void function9() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(20);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(224111000ULL);
    }
    else {
      RTSC_setBBWCET(224111000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 448222 */
void function10() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(34000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(39);
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(17);
      RTSC_setBBWCET(676000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 448222 */
void function11() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(13000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(21);
    RTSC_setBBWCET(21343000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 267306 */
void function12() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(25000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(26);
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    function13();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(10);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(356000ULL);
      }
      else {
        RTSC_setBBWCET(356000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6682 */
void function13() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    function14();
    function15();
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4452000ULL);
    }
    else {
      RTSC_setBBWCET(4452000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1113 */
void function14() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(23000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(34);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(8);
      RTSC_setBBWCET(2000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1114 */
void function15() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(16);
    RTSC_setBBWCET(69000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5132278 */
void function16() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 1 */
    function17();
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(21);
            RTSC_setBBWCET(162929000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        else {
          RTSC_setBBWCET(0ULL);
          if(magic_branch_condition()) {
            RTSC_setBBWCET(3421511000ULL);
          }
          else {
            RTSC_setBBWCET(10000ULL);
            /* Loop Depth = 1 */
            RTSC_setBBWCET(4000ULL);
            /* Loop Depth = 1 */
            RTSC_setBBWCET(9000ULL);
            while(magic_loop_condition()) {
              RTSC_setLoopCount(17);
              RTSC_setBBWCET(201264000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(3421511000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(12000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(8);
        RTSC_setBBWCET(427686000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1710759 */
void function17() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function18();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  function19();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(28000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(30);
    RTSC_setBBWCET(28510000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 427689 */
void function18() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(427685000ULL);
  }
  else {
    RTSC_setBBWCET(427685000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 427690 */
void function19() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(13);
    RTSC_setBBWCET(32899000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4508564 */
void function20() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_0_handler);
  ActivateTask(event1_st_1_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  function21();
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(7);
    RTSC_setBBWCET(7000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(16);
      RTSC_setBBWCET(3000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(12);
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(1674000ULL);
        }
        else {
          RTSC_setBBWCET(0ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(27);
            RTSC_setBBWCET(62000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2254282 */
void function21() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function23();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(19);
      RTSC_setBBWCET(112713000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(24000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(26);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(13000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(36);
        RTSC_setBBWCET(2408000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 112714 */
void function23() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(10);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(11271000ULL);
    }
    else {
      RTSC_setBBWCET(11271000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8228837 */
void function24() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(2);
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    function25();
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(26);
      RTSC_setBBWCET(10000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(79112000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2057209 */
void function25() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2057207000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function26();
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    function27();
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(14);
      RTSC_setBBWCET(97961000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 342868 */
void function26() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(17000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(44);
    RTSC_setBBWCET(7792000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 342868 */
void function27() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(342864000ULL);
  }
  else {
    RTSC_setBBWCET(342864000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 35216636 */
void function28() {
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(33);
      RTSC_setBBWCET(1067169000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function29();
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(9);
        RTSC_setBBWCET(2934716000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(8000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(16);
        RTSC_setBBWCET(10000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(2201028000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8804159 */
void function29() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  function31();
  RTSC_setBBWCET(27000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(32);
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(23000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(30);
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(6111000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2934719 */
void function31() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2934718000ULL);
  }
  else {
    RTSC_setBBWCET(2934718000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4393362 */
void function32() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function33();
  ActivateTask(event2_st_0_handler);
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event2_st_1_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3295018000ULL);
    }
    else {
      RTSC_setBBWCET(3295018000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(5);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(659000000ULL);
        }
        else {
          RTSC_setBBWCET(659000000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(659000000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1098340 */
void function33() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    function34();
    RTSC_setBBWCET(6000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(40);
      RTSC_setBBWCET(26909000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(7000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(15);
      RTSC_setBBWCET(73222000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 21966 */
void function34() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(5);
    RTSC_setBBWCET(4392000ULL);
  }
  RTSC_setBBWCET(0ULL);
}


