#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event0_st_3_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event3_st_0_handler);
DeclareTask(event3_st_1_handler);
void function0();
void function2();
void function4();
void function6();
void function8();
void function9();
void function10();
void function11();
void function12();
void function13();
void function14();
void function15();
void function16();
void function17();
void function18();
void function19();
void function20();
void function21();
void function22();
void function23();
void function24();
void function25();
void function26();
void function27();
void function28();
void function29();
void function30();
void function31();
void function32();
void function33();
void function34();
void function35();
void function36();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.23685
  // requested wcet        = 6995068us
  // period                = 29533740us
  // act                   = 1
  function0(); // estimated wcet = 6995068us
  // estimated total wcet        = 6995068
  // estimated total utilisation = 0.23685
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.335671
  // requested wcet        = 9913619us
  // period                = 29533740us
  // act                   = 1
  function2(); // estimated wcet = 9913619us
  // estimated total wcet        = 9913619
  // estimated total utilisation = 0.335671
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.018804
  // requested wcet        = 555351us
  // period                = 29533740us
  // act                   = 1
  function4(); // estimated wcet = 555351us
  // estimated total wcet        = 555351
  // estimated total utilisation = 0.018804
}
TASK(event0_st_3_handler) {
  // requested utilisation = 0.23805
  // requested wcet        = 7030515us
  // period                = 29533740us
  // act                   = 1
  function6(); // estimated wcet = 7030515us
  // estimated total wcet        = 7030515
  // estimated total utilisation = 0.23805
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.369449
  // requested wcet        = 21822408us
  // period                = 59067480us
  // act                   = 1
  function8(); // estimated wcet = 21822408us
  // estimated total wcet        = 21822408
  // estimated total utilisation = 0.369449
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.209955
  // requested wcet        = 12401516us
  // period                = 59067480us
  // act                   = 1
  function11(); // estimated wcet = 12401516us
  // estimated total wcet        = 12401516
  // estimated total utilisation = 0.209955
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.252306
  // requested wcet        = 14903109us
  // period                = 59067480us
  // act                   = 1
  function14(); // estimated wcet = 14903109us
  // estimated total wcet        = 14903109
  // estimated total utilisation = 0.252306
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.0379706
  // requested wcet        = 2242828us
  // period                = 59067480us
  // act                   = 1
  function17(); // estimated wcet = 2242828us
  // estimated total wcet        = 2242828
  // estimated total utilisation = 0.0379706
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.176252
  // requested wcet        = 10410742us
  // period                = 59067480us
  // act                   = 1
  function22(); // estimated wcet = 10410742us
  // estimated total wcet        = 10410742
  // estimated total utilisation = 0.176252
}
TASK(event3_st_0_handler) {
  // requested utilisation = 0.404703
  // requested wcet        = 11952390us
  // period                = 29533740us
  // act                   = 1
  function27(); // estimated wcet = 11952390us
  // estimated total wcet        = 11952390
  // estimated total utilisation = 0.404703
}
TASK(event3_st_1_handler) {
  // requested utilisation = 0.119989
  // requested wcet        = 3543735us
  // period                = 29533740us
  // act                   = 1
  function32(); // estimated wcet = 3543735us
  // estimated total wcet        = 3543735
  // estimated total utilisation = 0.119989
}
// total utilisation = 2.4

/* WCET = 6995068 */
void function0() {
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6995058000ULL);
    }
    else {
      RTSC_setBBWCET(6995061000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(13000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(26);
      RTSC_setBBWCET(13000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(37);
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(7269000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 9913619 */
void function2() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(12000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(14000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(18);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(9000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(550732000ULL);
    }
    else {
      RTSC_setBBWCET(9000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(21);
        RTSC_setBBWCET(26226000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 555351 */
void function4() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(555349000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(15000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(26);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(7000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(8000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(3000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(9000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(8000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(5000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(7000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(1000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(44);
            RTSC_setBBWCET(484000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        else {
          RTSC_setBBWCET(7000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(5000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(9000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(6000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(24000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(31);
            RTSC_setBBWCET(687000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(21359000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 7030515 */
void function6() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  ActivateTask(event0_st_1_handler);
  ActivateTask(event0_st_2_handler);
  RTSC_setBBWCET(36000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(41);
    RTSC_setBBWCET(19000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(38);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(16000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(31);
          RTSC_setBBWCET(5000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(140000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(10000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(20000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(28);
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(6000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(3000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(5000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(20);
            RTSC_setBBWCET(7000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 21822408 */
void function8() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(21822405000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(1);
        RTSC_setBBWCET(6000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        function9();
        RTSC_setBBWCET(2000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(37);
          RTSC_setBBWCET(294897000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(22000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(37);
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(589792000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 10911204 */
void function9() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function10();
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(10);
      RTSC_setBBWCET(545560000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(23000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(35);
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(311740000ULL);
      }
      else {
        RTSC_setBBWCET(311740000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5455602 */
void function10() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(5455602000ULL);
  }
  else {
    RTSC_setBBWCET(5455602000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 12401516 */
void function11() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      function12();
      RTSC_setBBWCET(13000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(30);
        RTSC_setBBWCET(206690000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(12401499000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6200758 */
void function12() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  function13();
  RTSC_setBBWCET(14000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(17);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(243165000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2066919 */
void function13() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2066916000ULL);
  }
  else {
    RTSC_setBBWCET(2066916000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 14903109 */
void function14() {
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function15();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(12);
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(993536000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    ActivateTask(event1_st_0_handler);
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    ActivateTask(event1_st_1_handler);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(45);
      RTSC_setBBWCET(331179000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2980621 */
void function15() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function16();
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2384487000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2384487000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 596124 */
void function16() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(13);
    RTSC_setBBWCET(45854000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2242828 */
void function17() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(2242820000ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function18();
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      function19();
      RTSC_setBBWCET(17000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(24);
        RTSC_setBBWCET(46723000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(2242828000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 560707 */
void function18() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function21();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function20();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(15);
        RTSC_setBBWCET(29904000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(560707000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(560707000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 560707 */
void function19() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(560706000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(30000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(41);
      RTSC_setBBWCET(13675000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 56070 */
void function20() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(30);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(24000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(41);
      RTSC_setBBWCET(45000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 56071 */
void function21() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(15000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(19);
    RTSC_setBBWCET(2950000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 10410742 */
void function22() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function24();
  ActivateTask(event2_st_0_handler);
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(1);
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(1);
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 3 */
        function23();
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(5205364000ULL);
        }
        else {
          RTSC_setBBWCET(5205364000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2602685 */
void function23() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function26();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    function25();
    RTSC_setBBWCET(15000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(18);
      RTSC_setBBWCET(108444000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(2277346000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2602686 */
void function24() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2602684000ULL);
  }
  else {
    RTSC_setBBWCET(2602684000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 325335 */
void function25() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(325332000ULL);
  }
  else {
    RTSC_setBBWCET(325332000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 325336 */
void function26() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(6);
    RTSC_setBBWCET(54221000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 11952390 */
void function27() {
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function28();
  function29();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9561904000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(9561904000ULL);
    }
    else {
      RTSC_setBBWCET(9561904000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1195239 */
void function28() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  function31();
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(11);
    RTSC_setBBWCET(54328000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1195239 */
void function29() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    function30();
    RTSC_setBBWCET(30000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(37);
      RTSC_setBBWCET(21535000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 398413 */
void function30() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(398412000ULL);
  }
  else {
    RTSC_setBBWCET(398412000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 597619 */
void function31() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(8000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(44);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(12);
      RTSC_setBBWCET(1131000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3543735 */
void function32() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_0_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(23);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(35);
        RTSC_setBBWCET(4402000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(1);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(3543735000ULL);
      }
      else {
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(7000ULL);
        /* Loop Depth = 1 */
        function33();
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(8000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(9000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(6000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        function34();
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(8000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(36);
          RTSC_setBBWCET(78748000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 35437 */
void function33() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(10000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(28);
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    function35();
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(6000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(16);
      RTSC_setBBWCET(4000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 673310 */
void function34() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    function36();
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(538648000ULL);
    }
    else {
      RTSC_setBBWCET(538648000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1181 */
void function35() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(38);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(12000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(14);
      RTSC_setBBWCET(1000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 134662 */
void function36() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(134661000ULL);
  }
  else {
    RTSC_setBBWCET(7000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(13);
      RTSC_setBBWCET(10358000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}


