#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event0_st_3_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event1_st_3_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event3_st_0_handler);
DeclareTask(event3_st_1_handler);
DeclareTask(event3_st_2_handler);
DeclareTask(event3_st_3_handler);
void function0();
void function2();
void function4();
void function6();
void function8();
void function10();
void function12();
void function14();
void function16();
void function17();
void function18();
void function19();
void function20();
void function21();
void function22();
void function23();
void function24();
void function25();
void function26();
void function28();
void function30();
void function32();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.208482
  // requested wcet        = 8475190us
  // period                = 40651810us
  // act                   = 1
  function0(); // estimated wcet = 8475190us
  // estimated total wcet        = 8475190
  // estimated total utilisation = 0.208482
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.123489
  // requested wcet        = 5020040us
  // period                = 40651810us
  // act                   = 1
  function2(); // estimated wcet = 5020040us
  // estimated total wcet        = 5020040
  // estimated total utilisation = 0.123489
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.316726
  // requested wcet        = 12875472us
  // period                = 40651810us
  // act                   = 1
  function4(); // estimated wcet = 12875472us
  // estimated total wcet        = 12875472
  // estimated total utilisation = 0.316726
}
TASK(event0_st_3_handler) {
  // requested utilisation = 0.359032
  // requested wcet        = 14595300us
  // period                = 40651810us
  // act                   = 1
  function6(); // estimated wcet = 14595300us
  // estimated total wcet        = 14595300
  // estimated total utilisation = 0.359032
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.112312
  // requested wcet        = 9131347us
  // period                = 81303620us
  // act                   = 1
  function8(); // estimated wcet = 9131347us
  // estimated total wcet        = 9131347
  // estimated total utilisation = 0.112312
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.287464
  // requested wcet        = 23371900us
  // period                = 81303620us
  // act                   = 1
  function10(); // estimated wcet = 23371900us
  // estimated total wcet        = 23371900
  // estimated total utilisation = 0.287464
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.00891363
  // requested wcet        = 724710us
  // period                = 81303620us
  // act                   = 1
  function12(); // estimated wcet = 724710us
  // estimated total wcet        = 724710
  // estimated total utilisation = 0.00891363
}
TASK(event1_st_3_handler) {
  // requested utilisation = 0.378383
  // requested wcet        = 30763944us
  // period                = 81303620us
  // act                   = 1
  function14(); // estimated wcet = 30763944us
  // estimated total wcet        = 30763944
  // estimated total utilisation = 0.378383
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.0168644
  // requested wcet        = 1371135us
  // period                = 81303620us
  // act                   = 1
  function16(); // estimated wcet = 1371135us
  // estimated total wcet        = 1371135
  // estimated total utilisation = 0.0168644
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.318196
  // requested wcet        = 25870478us
  // period                = 81303620us
  // act                   = 1
  function21(); // estimated wcet = 25870478us
  // estimated total wcet        = 25870478
  // estimated total utilisation = 0.318196
}
TASK(event3_st_0_handler) {
  // requested utilisation = 0.28205
  // requested wcet        = 11465826us
  // period                = 40651810us
  // act                   = 1
  function26(); // estimated wcet = 11465826us
  // estimated total wcet        = 11465826
  // estimated total utilisation = 0.28205
}
TASK(event3_st_1_handler) {
  // requested utilisation = 0.224259
  // requested wcet        = 9116514us
  // period                = 40651810us
  // act                   = 1
  function28(); // estimated wcet = 9116514us
  // estimated total wcet        = 9116514
  // estimated total utilisation = 0.224259
}
TASK(event3_st_2_handler) {
  // requested utilisation = 0.208266
  // requested wcet        = 8466390us
  // period                = 40651810us
  // act                   = 1
  function30(); // estimated wcet = 8466390us
  // estimated total wcet        = 8466390
  // estimated total utilisation = 0.208266
}
TASK(event3_st_3_handler) {
  // requested utilisation = 0.155563
  // requested wcet        = 6323935us
  // period                = 40651810us
  // act                   = 1
  function32(); // estimated wcet = 6323935us
  // estimated total wcet        = 6323935
  // estimated total utilisation = 0.155563
}
// total utilisation = 3

/* WCET = 8475190 */
void function0() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(12000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(12000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(29);
      RTSC_setBBWCET(292246000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(8475181000ULL);
    }
    else {
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(31000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(36);
        RTSC_setBBWCET(235420000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5020040 */
void function2() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(16000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(30);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(17000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(25);
        RTSC_setBBWCET(6692000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(6000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(12);
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(5000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(27);
          RTSC_setBBWCET(0ULL);
          if(magic_branch_condition()) {
            RTSC_setBBWCET(516000ULL);
          }
          else {
            RTSC_setBBWCET(0ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(516000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 12875472 */
void function4() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(12875468000ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(21);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(613117000ULL);
      }
      else {
        RTSC_setBBWCET(21000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(44);
          RTSC_setBBWCET(2000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(9);
            RTSC_setBBWCET(3000ULL);
            while(magic_loop_condition()) {
              RTSC_setLoopCount(5);
              RTSC_setBBWCET(3000ULL);
              while(magic_loop_condition()) {
                RTSC_setLoopCount(34);
                RTSC_setBBWCET(9000ULL);
              }
              RTSC_setBBWCET(0ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 14595300 */
void function6() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    ActivateTask(event0_st_1_handler);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      ActivateTask(event0_st_2_handler);
      RTSC_setBBWCET(14595294000ULL);
    }
    else {
      RTSC_setBBWCET(14595294000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(14595296000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 9131347 */
void function8() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(9000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(8000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(38);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(25000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(27);
          RTSC_setBBWCET(8899000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(240298000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(9131332000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 23371900 */
void function10() {
  RTSC_setBBWCET(9000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(11000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(35);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(667760000ULL);
    }
    else {
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(19);
        RTSC_setBBWCET(35143000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 724710 */
void function12() {
  RTSC_setBBWCET(9000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(5);
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(29000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(35);
      RTSC_setBBWCET(4000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(22);
        RTSC_setBBWCET(7000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(5000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(8);
          RTSC_setBBWCET(22000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 30763944 */
void function14() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_0_handler);
  ActivateTask(event1_st_1_handler);
  ActivateTask(event1_st_2_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(30763942000ULL);
    }
    else {
      RTSC_setBBWCET(33000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(37);
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(831456000ULL);
        }
        else {
          RTSC_setBBWCET(831457000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(39);
      RTSC_setBBWCET(9000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(788810000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1371135 */
void function16() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function17();
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(3);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 2 */
      function18();
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(12);
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(14000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(25);
          RTSC_setBBWCET(761000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 171391 */
void function17() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  function20();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(13000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(40);
      RTSC_setBBWCET(3213000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function19();
    RTSC_setBBWCET(27000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(29);
      RTSC_setBBWCET(2954000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 171392 */
void function18() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(171388000ULL);
  }
  else {
    RTSC_setBBWCET(171388000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 42847 */
void function19() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(42844000ULL);
  }
  else {
    RTSC_setBBWCET(42844000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 42848 */
void function20() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(42845000ULL);
  }
  else {
    RTSC_setBBWCET(42845000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 25870478 */
void function21() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event2_st_0_handler);
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(1);
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(25870467000ULL);
        }
        else {
          RTSC_setBBWCET(25870467000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        function23();
        function22();
        RTSC_setBBWCET(12935225000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6467619 */
void function22() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function25();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    function24();
    RTSC_setBBWCET(4850712000ULL);
  }
  else {
    RTSC_setBBWCET(5659167000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6467620 */
void function23() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(15);
      RTSC_setBBWCET(431174000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(6467619000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 808452 */
void function24() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(22000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(23);
    RTSC_setBBWCET(35149000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 808452 */
void function25() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(808452000ULL);
  }
  else {
    RTSC_setBBWCET(808452000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 11465826 */
void function26() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(6);
    RTSC_setBBWCET(5000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(7);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(24000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(27);
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(10110000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(272994000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 9116514 */
void function28() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(9116513000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(25000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(34);
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(6);
        RTSC_setBBWCET(13000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(25);
          RTSC_setBBWCET(9000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(14);
            RTSC_setBBWCET(0ULL);
            if(magic_branch_condition()) {
              RTSC_setBBWCET(127000ULL);
            }
            else {
              RTSC_setBBWCET(127000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8466390 */
void function30() {
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(8466382000ULL);
    }
    else {
      RTSC_setBBWCET(22000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(42);
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(201580000ULL);
        }
        else {
          RTSC_setBBWCET(201580000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(8466382000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6323935 */
void function32() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_0_handler);
  ActivateTask(event3_st_1_handler);
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_2_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(6323928000ULL);
    }
    else {
      RTSC_setBBWCET(6323928000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(6323928000ULL);
  }
  RTSC_setBBWCET(0ULL);
}


